net.sf.statcvs.output

## Class LOCChurnChartMaker

- java.lang.Object
- - net.sf.statcvs.output.LOCChurnChartMaker

    public class LOCChurnChartMaker
    extends java.lang.Object

Class for producing Lines Of Code with Churn charts

Author:
  Benoit Xhenseval (www.ObjectLab.co.uk)

### Constructor Summary

Constructors
Constructor and Description
`LOCChurnChartMaker(java.lang.String chartName, ReportConfig config, org.jfree.data.time.TimeSeries churnSeries, org.jfree.data.time.TimeSeries locSeries, java.lang.String title, java.lang.String fileName, java.util.List annotations)` Creates a Lines Of Code chart from a `BasicTimeSeries` and saves it as PNG

### Method Summary

Methods
`ChartImage` `toFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LOCChurnChartMaker

    public LOCChurnChartMaker(java.lang.String chartName,
                      ReportConfig config,
                      org.jfree.data.time.TimeSeries churnSeries,
                      org.jfree.data.time.TimeSeries locSeries,
                      java.lang.String title,
                      java.lang.String fileName,
                      java.util.List annotations)

Creates a Lines Of Code chart from a `BasicTimeSeries` and saves it as PNG

Parameters:
  `chartName` -
  `churnSeries` - the Churn history
  `locSeries` - the LOC history
  `title` - the chart title
  `fileName` - the filename where the chart will be saved
  `width` - width of PNG in pixels
  `height` - height of PNG in pixels
  `annotations` -

### Method Detail

#### toFile

    public ChartImage toFile()